> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Downtimes

> Fetches active downtimes across various payment methods based on filters. Gives all active downtimes when no filters are applied.



## OpenAPI

````yaml get /incident
openapi: 3.0.0
info:
  version: '2025-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /incident:
    get:
      tags:
        - Downtime
      summary: Fetch All Downtimes
      description: >-
        Fetches active downtimes across various payment methods based on
        filters. Gives all active downtimes when no filters are applied.
      operationId: FetchActiveEcosystemDowntimes
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/incidentIdQueryParam'
        - $ref: '#/components/parameters/incidentStatusQueryParam'
        - $ref: '#/components/parameters/incidentImpactQueryParam'
        - $ref: '#/components/parameters/incidentTypeQueryParam'
        - $ref: '#/components/parameters/incidentStartTimeQueryParam'
        - $ref: '#/components/parameters/incidentEndTimeQueryParam'
        - $ref: '#/components/parameters/incidentPaymentMethodQueryParam'
      responses:
        '200':
          description: Success response for fetching All Downtimes.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 4
                  incidents:
                    type: array
                    items:
                      $ref: '#/components/schemas/IncidentObject'
              examples:
                incidents_entity_list_example:
                  $ref: '#/components/examples/incident_entity_list_example'
          headers:
            X-Api-Version:
              $ref: '#/components/headers/x-api-version'
        '401':
          $ref: '#/components/responses/Response401'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2025-01-01'
      example: '2025-01-01'
      x-ignore: true
    incidentIdQueryParam:
      name: incident_id
      in: query
      required: false
      description: Valid incident id for fetching incident details.
      schema:
        type: string
      example: your-incident-id
    incidentStatusQueryParam:
      name: incident_status
      in: query
      required: false
      description: 'Filter incidents by status. Possible values: ACTIVE, UPCOMING, RESOLVED.'
      schema:
        type: array
        items:
          type: string
          enum:
            - ACTIVE
            - UPCOMING
            - RESOLVED
      example:
        - ACTIVE
        - RESOLVED
    incidentImpactQueryParam:
      name: incident_impact
      in: query
      required: false
      description: 'Filter incidents by impact level. Possible values: HIGH, MEDIUM, LOW.'
      schema:
        type: array
        items:
          type: string
          enum:
            - HIGH
            - MEDIUM
            - LOW
      example:
        - HIGH
        - MEDIUM
    incidentTypeQueryParam:
      name: incident_type
      in: query
      required: false
      description: 'Filter incidents by type. Possible values: SCHEDULED, UNSCHEDULED.'
      schema:
        type: array
        items:
          type: string
          enum:
            - SCHEDULED
            - UNSCHEDULED
      example:
        - UNSCHEDULED
    incidentStartTimeQueryParam:
      name: incident_start_time
      in: query
      required: false
      description: 'Filter incidents by start time. Format: YYYY-MM-DD HH:MM:SS.'
      schema:
        type: string
        format: date-time
      example: '2024-06-01 14:00:00'
    incidentEndTimeQueryParam:
      name: incident_end_time
      in: query
      required: false
      description: 'Filter incidents by end time. Format: YYYY-MM-DD HH:MM:SS.'
      schema:
        type: string
        format: date-time
      example: '2024-06-02 14:00:00'
    incidentPaymentMethodQueryParam:
      name: payment_method
      in: query
      required: false
      description: >-
        Filter incidents by payment method. Possible values: UPI, CARD,
        NET_BANKING, WALLET.
      schema:
        type: array
        items:
          type: string
          enum:
            - UPI
            - CARD
            - NET_BANKING
            - WALLET
      example:
        - UPI
        - CARD
  schemas:
    IncidentObject:
      title: IncidentObject
      description: Represents an active incident entry in the ecosystem.
      type: object
      example: '#/components/examples/incidents_entity_list_example'
      properties:
        incident_id:
          type: string
          description: Unique identifier for the incident.
          example: incident_202434253459071
        incident_impact:
          type: string
          description: Impact level of the incident.
          enum:
            - HIGH
            - MEDIUM
            - LOW
          example: HIGH
        incident_message:
          type: string
          description: Description of the incident.
          example: We are facing issues with HDFC UPI transactions.
        incident_start_time:
          type: string
          format: date-time
          description: Start time of the incident.
          example: '2024-06-01T14:00:00+05:30'
        incident_end_time:
          type: string
          format: date-time
          nullable: true
          description: End time of the incident, or null if ongoing.
          example: '2024-06-02T14:00:00+05:30'
        incident_status:
          type: string
          description: Status of the incident.
          enum:
            - ACTIVE
            - UPCOMING
            - RESOLVED
          example: ACTIVE
        incident_type:
          type: string
          description: Type of the incident.
          enum:
            - SCHEDULED
            - UNSCHEDULED
          example: UNSCHEDULED
        payment_method:
          oneOf:
            - $ref: '#/components/schemas/UPIDowntime'
            - $ref: '#/components/schemas/CardDowntime'
            - $ref: '#/components/schemas/NetBankingDowntime'
            - $ref: '#/components/schemas/WalletDowntime'
    UPIDowntime:
      type: object
      title: UPI Incident
      description: >-
        The UPI incident object will show details about the incident affecting
        UPI payments.
      example:
        upi:
          upi_issuer:
            - ALL_BANKS
          upi_psp:
            - ALL_PSP
          upi_vpa:
            - ybl
          is_npci_downtime: false
      properties:
        upi:
          type: object
          properties:
            upi_issuer:
              type: array
              items:
                type: string
              example:
                - ALL_BANKS
            upi_psp:
              type: array
              items:
                type: string
              example:
                - ALL_PSP
            upi_vpa:
              type: array
              items:
                type: string
              example:
                - ybl
            is_npci_downtime:
              type: boolean
              example: false
    CardDowntime:
      type: object
      title: Card Incident
      description: >-
        The Card incident object will show details about the incident affecting
        card payments.
      example:
        card:
          card_issuer:
            - State Bank of India
          card_type:
            - CREDIT_CARD
          card_network:
            - VISA
      properties:
        card:
          type: object
          properties:
            card_issuer:
              type: array
              items:
                type: string
              example:
                - State Bank of India
            card_type:
              type: array
              items:
                type: string
              enum:
                - CREDIT_CARD
                - DEBIT_CARD
                - ALL_CARDS
              example:
                - ALL_CARDS
            card_network:
              type: array
              items:
                type: string
              enum:
                - VISA
                - MASTERCARD
                - RUPAY
                - MAESTRO
                - AMEX
                - ALL_NETWORKS
              example:
                - VISA
    NetBankingDowntime:
      type: object
      title: NetBanking Incident
      description: >-
        The Net Banking incident object will show details about the incident
        affecting net banking payments.
      example:
        net_banking:
          net_banking_issuer:
            - State Bank of India
          bank_code: '3012'
      properties:
        net_banking:
          type: object
          properties:
            net_banking_issuer:
              type: array
              items:
                type: string
              example:
                - Bank of Baroda
            bank_code:
              type: string
              example: '3012'
    WalletDowntime:
      type: object
      title: Wallet incident
      description: >-
        The Wallet incident object will show details about the incident
        affecting wallet payments.
      example:
        wallet:
          wallet_issuer:
            - Mobikwik
      properties:
        wallet:
          type: object
          properties:
            wallet_issuer:
              type: array
              items:
                type: string
              example:
                - Mobikwik
    AuthenticationError:
      title: AuthenticationError
      description: Error if api keys are wrong.
      example:
        message: authentication Failed
        code: request_failed
        type: authentication_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: authentication_error.
    ApiError:
      title: ApiError
      description: Error at Cashfree's server.
      example:
        message: internal Server Error
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: internal_error
        type: api_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - api_error
          description: api_error.
  examples:
    incident_entity_list_example:
      description: Example list of active incident entries in the ecosystem.
      summary: Incident Object List Example
      value:
        count: 4
        incidents:
          - incident_id: INCIDENT_MEDIUM_HDFCBank_a7259c79-25a8-4b86-bcab-715623fras86
            incident_impact: MEDIUM
            incident_message: We are facing issues with HDFC bank UPI payments.
            incident_start_time: '2021-04-16T14:00:00+05:30'
            incident_end_time: null
            incident_status: OPEN
            incident_type: UNSCHEDULED
            payment_method:
              upi:
                upi_issuer:
                  - ALL_BANKS
                upi_psp:
                  - GPAY
                  - PHONEPE
                upi_vpa:
                  - ybl
                is_npci_downtime: false
          - incident_id: INCIDENT_HIGH_sbiBank_a7259c79-4r42-t5f2-fsdd-87987sdf79as
            incident_impact: HIGH
            incident_message: We are facing issues with SBI bank VISA SBI cards payments.
            incident_start_time: '2024-06-01T14:00:00+05:30'
            incident_end_time: '2024-06-01T15:30:00+05:30'
            incident_status: RESOLVED
            incident_type: SCHEDULED
            payment_method:
              card:
                card_issuer:
                  - State Bank of India
                card_type:
                  - ALL_CARDS
                card_network:
                  - VISA
          - incident_id: INCIDENT_HIGH_axisBank_a7259c79-4r42-t5f2-fsdd-87987sdf79as
            incident_impact: HIGH
            incident_message: We are facing issues with Axis bank netbanking payments.
            incident_start_time: '2024-06-01T14:00:00+05:30'
            incident_end_time: null
            incident_status: OPEN
            incident_type: UNSCHEDULED
            payment_method:
              net_banking:
                net_banking_issuer:
                  - Axis Bank
                  - Bank of Baroda
          - incident_id: INCIDENT_HIGH_hdfcWallet_a7259c79-4r42-t5f2-fsdd-87987sdf79as
            incident_impact: LOW
            incident_message: We are facing issues with HDFC wallet payments.
            incident_start_time: '2024-06-01T14:00:00+05:30'
            incident_end_time: null
            incident_status: UPDATE
            incident_type: UNSCHEDULED
            payment_method:
              wallet:
                wallet_issuer:
                  - Mobikwik
                  - Paytm
  headers:
    x-api-version:
      schema:
        type: string
        format: YYYY-MM-DD
        enum:
          - '2025-01-01'
      description: >-
        This header has the version of the API. The current version is
        `2025-01-01`.
    x-ratelimit-limit:
      schema:
        type: integer
      example: 200
      description: Ratelimit set for your account for this API per minute.
    x-ratelimit-remaining:
      schema:
        type: integer
      example: 2
      description: >-
        Rate limit remaning for your account for this API in the next minute.
        Uses sliding window.
    x-ratelimit-retry:
      schema:
        type: integer
      example: 4
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
    x-ratelimit-type:
      schema:
        type: string
        enum:
          - app_id
          - ip
      example: ip
      description: >
        either ip or app_id

        - `ip` if making a call from the browser. True for api where you don't
        need `x-client-id` and `x-client-secret`

        - `app_id` for authenticated api calls i.e using `x-client-id` and
        `x-client-secret`
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        Request id for your api call. Is blank or null if no `x-request-id` is
        sent during the request.
    x-idempotency-key:
      schema:
        type: string
      example: some-idem-id
      description: >-
        An idempotency key is a unique identifier you include with your API
        call. If the request fails or times out, you can safely retry it using
        the same key to avoid duplicate actions.
    x-idempotency-replayed:
      schema:
        type: string
        format: boolean
      example: 'true'
      description: |-
        In conjunction with `x-idempotency-key` this means
        - `true` if the response was replayed
        - `false` if the response has not been replayed.
  responses:
    Response401:
      description: Authentication Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthenticationError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response500:
      description: API related Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).

````